
import com.imsl.chart.*;
import com.imsl.chart.qc.*;

public class SampleNpChart extends JFrameChart {

    public SampleNpChart() {
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        NpChart npchart
                = new NpChart(axis, SamplePChart.sampleSize,
                        SamplePChart.numberDefects);

        axis.getAxisX().getAxisTitle().setTitle("Sample Number");
        axis.getAxisX().getAxisLabel().setTextFormat("0");
        axis.getAxisY().getAxisTitle().setTitle("Number Defective");
    }

    public static void main(String argv[]) {
        new SampleNpChart().setVisible(true);
    }
}
